Bug 1253948 - SELinux alert for Docker.io official PostgreSQL image
SELinux alert for Docker.io official PostgreSQL image
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 18:45 EDT by Marc-Andre Laverdiere
Modified: 2015-12-02 13:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:58:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of SELinux Alert Browser (75.85 KB, image/png)
2015-08-15 18:45 EDT, Marc-Andre Laverdiere
no flags Details

  None (edit)
Description Marc-Andre Laverdiere 2015-08-15 18:45:49 EDT
Created attachment 1063339 [details]
Screenshot of SELinux Alert Browser

Description of problem:
When running Mediawiki and PostgreSQL in docker, I am getting a SELinux alert.

The source process: postgres
Attempted this access: write
On this file: /anon_hugepage (deleted)

Version-Release number of selected component (if applicable):
Name        : docker-selinux
Version     : 1.7.1
Release     : 8.gitb6416b7.fc22

Docker image is Postgres:9.4

How reproducible:
Consistently

Steps to Reproduce:
1. Start Mediawiki-PostgreSQL manual composition
2. Run test sequence

Actual results:
SELinux alert appears

Expected results:
No SELinux alert

Additional info:
The test sequence is not something I can share at this point.
Comment 1 Daniel Walsh 2015-08-21 00:23:21 EDT
Please attach the actual AVC messages

ausearch -m avc
Comment 2 Marc-Andre Laverdiere 2015-08-21 15:03:07 EDT
Each entry looks almost identical, but I'm putting a few in case the tiny differences are helpful.

----
time->Mon Aug 17 23:18:00 2015
type=AVC msg=audit(1439867880.953:4877): avc:  denied  { write } for  pid=12470 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=5963162 scontext=system_u:system_r:svirt_lxc_net_t:s0:c318,c442 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 04:47:41 2015
type=AVC msg=audit(1439887661.915:5020): avc:  denied  { write } for  pid=3738 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6725086 scontext=system_u:system_r:svirt_lxc_net_t:s0:c277,c638 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 04:47:43 2015
type=AVC msg=audit(1439887663.472:5035): avc:  denied  { write } for  pid=3911 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6726023 scontext=system_u:system_r:svirt_lxc_net_t:s0:c277,c638 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 04:58:02 2015
type=AVC msg=audit(1439888282.427:5076): avc:  denied  { write } for  pid=7292 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6753839 scontext=system_u:system_r:svirt_lxc_net_t:s0:c385,c634 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 04:58:00 2015
type=AVC msg=audit(1439888280.728:5061): avc:  denied  { write } for  pid=7159 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6753523 scontext=system_u:system_r:svirt_lxc_net_t:s0:c385,c634 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 06:25:57 2015
type=AVC msg=audit(1439893557.963:5376): avc:  denied  { write } for  pid=23803 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6948538 scontext=system_u:system_r:svirt_lxc_net_t:s0:c138,c154 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 06:25:59 2015
type=AVC msg=audit(1439893559.861:5391): avc:  denied  { write } for  pid=24027 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=6950255 scontext=system_u:system_r:svirt_lxc_net_t:s0:c138,c154 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 15:22:05 2015
type=AVC msg=audit(1439925725.187:6234): avc:  denied  { write } for  pid=16070 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=7711958 scontext=system_u:system_r:svirt_lxc_net_t:s0:c464,c694 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 15:22:06 2015
type=AVC msg=audit(1439925726.704:6249): avc:  denied  { write } for  pid=16267 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=7712223 scontext=system_u:system_r:svirt_lxc_net_t:s0:c464,c694 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 20:09:17 2015
type=AVC msg=audit(1439942957.307:6562): avc:  denied  { write } for  pid=8612 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=8137791 scontext=system_u:system_r:svirt_lxc_net_t:s0:c332,c965 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Tue Aug 18 20:09:18 2015
type=AVC msg=audit(1439942958.220:6577): avc:  denied  { write } for  pid=8700 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=8137906 scontext=system_u:system_r:svirt_lxc_net_t:s0:c332,c965 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Wed Aug 19 13:36:30 2015
type=AVC msg=audit(1440005790.039:7255): avc:  denied  { write } for  pid=29368 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=10434587 scontext=system_u:system_r:svirt_lxc_net_t:s0:c354,c616 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
----
time->Wed Aug 19 13:36:34 2015
type=AVC msg=audit(1440005794.083:7270): avc:  denied  { write } for  pid=29492 comm="postgres" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=10432419 scontext=system_u:system_r:svirt_lxc_net_t:s0:c354,c616 tcontext=system_u:object_r:hugetlbfs_t:s0 tclass=file permissive=1
Comment 3 Daniel Walsh 2015-09-29 09:17:04 EDT
Fixed in docker-1.8.2
Comment 4 Fedora End Of Life 2015-11-04 10:55:38 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 09:58:29 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.